Summary:	X Miscellaneous Utilities library
Summary(pl.UTF-8):	Biblioteka różnych funkcji użytkowych X
Name:		xorg-lib-libXmu
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.bz2
# Source0-md5:	a4efff8de85bd45dd3da124285d10c00
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libXmu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Miscellaneous Utilities library.

%description -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

%package devel
Summary:	Header files for libXmu and libXmuu libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libXmu i libXmuu
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXt-devel
Obsoletes:	libXmu-devel

%description devel
X Miscellaneous Utilities library.

This package contains the header files needed to develop programs that
use libXmu or libXmuu.

%description devel -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXmu lub libXmuu.

%package static
Summary:	Static libXmu libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXmu
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXmu-static

%description static
X Miscellaneous Utilities library.

This package contains the static libXmu library.

%description static -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera statyczną bibliotekę libXmu.

%prep
%setup -q -n libXmu-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXmu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmu.so.6
%attr(755,root,root) %{_libdir}/libXmuu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmuu.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{Xmu.html,xlogo.svg}
%attr(755,root,root) %{_libdir}/libXmu.so
%attr(755,root,root) %{_libdir}/libXmuu.so
%{_libdir}/libXmu.la
%{_libdir}/libXmuu.la
%dir %{_includedir}/X11/Xmu
%{_includedir}/X11/Xmu/*.h
%{_pkgconfigdir}/xmu.pc
%{_pkgconfigdir}/xmuu.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXmu.a
%{_libdir}/libXmuu.a
%changelog
* Wed Mar 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c014f8b
- updated to 1.1.1

* Fri Nov 11 2011 Elan Ruusamäe <glen@pld-linux.org> cc389c1
- move api docs to -devel because files are generated and breaks multilib installs

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 47342e6
- BR: docbook-dtd43-xml

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 81e08d0
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 04cbd22
- updated to 1.1.0

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> f181e03
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d568b08
- util-macros version
- ghost soname symlinks

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e7a3731
- up to 1.0.5

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d26dbc
- release 2

* Tue Jan 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 21e5774
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1a556ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bcc08fa
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dcff2c
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f5843a2
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Thu Nov 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 2c25cf3
- updated to 1.0.3

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> ba176e5
- updated to 1.0.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d5739c
- up to 1.0.1

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> c94f78a
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> f508fc4
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 893e39f
- 1.0.0 (X11R7.0-RC4)

